Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 99610 - Implement JDBC driver deployment (Sun AS)
Implement JDBC driver deployment (Sun AS)
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 9
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Nitya Doraisamy
issues@serverplugins
plan60 nbide
:
Depends on: 89439
Blocks: 89438 89772 104637
  Show dependency treegraph
 
Reported: 2007-03-31 13:23 UTC by Sherold Dev
Modified: 2007-06-14 17:25 UTC (History)
4 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sherold Dev 2007-03-31 13:23:24 UTC
Implement JDBC driver deployment. For more info see issue 89439.
Comment 1 Vince Kraemer 2007-04-30 22:57:46 UTC
John was looking for this and called me. added him to the cc list and marked
this as a blocker for him.

An update on this would be good.
Comment 2 Nitya Doraisamy 2007-04-30 23:13:17 UTC
Basic implementation for this feature is pretty straightforward and working on
my local environment.
But this requires a server restart. Investigating server functionality wherein
the jars can be placed in a location known to the server and will be available
on a per application basis. 
Comment 3 Nitya Doraisamy 2007-04-30 23:14:43 UTC
Forgot to add in note above, this server functionality does not require a
restart for the jars to be accessible.
Comment 4 Sherold Dev 2007-05-02 08:55:10 UTC
Nitya, just in case you will need to restart the server after deploying the
drivers. Tomcat plug-in sets the 'needsRestart' flag in its
org.netbeans.modules.j2ee.deployment.plugins.spi.StartServer implementation
during driver deployment and j2eeserver then restarts the server automatically.
Comment 5 John Baker 2007-06-12 12:38:55 UTC
what is the status on this please
Comment 6 Nitya Doraisamy 2007-06-14 01:43:09 UTC
Checked in Sun appserver plugin changes

Checking in serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/Bundle.properties;
/cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/Bundle.properties,v  <--  Bundle.properties
new revision: 1.26; previous revision: 1.25
done
Checking in serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/OptionTabVisualPanel.java;
/cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/OptionTabVisualPanel.java,v  <-- 
OptionTabVisualPanel.java
new revision: 1.2; previous revision: 1.1
done
Checking in serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/OptionTabVisualPanel.form;
/cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/ui/OptionTabVisualPanel.form,v  <-- 
OptionTabVisualPanel.form
new revision: 1.2; previous revision: 1.1
done
RCS file: /cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/dm/SunJDBCDriverDeployer.java,v
done
Checking in serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/dm/SunJDBCDriverDeployer.java;
/cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/dm/SunJDBCDriverDeployer.java,v  <-- 
SunJDBCDriverDeployer.java
initial revision: 1.1
done
Checking in serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/dm/SunDeploymentManager.java;
/cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/dm/SunDeploymentManager.java,v  <-- 
SunDeploymentManager.java
new revision: 1.34; previous revision: 1.33
done
Checking in serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/dm/Bundle.properties;
/cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/dm/Bundle.properties,v  <--  Bundle.properties
new revision: 1.13; previous revision: 1.12
done
Checking in serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/DeploymentManagerProperties.java;
/cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/DeploymentManagerProperties.java,v  <-- 
DeploymentManagerProperties.java
new revision: 1.15; previous revision: 1.14
done
Checking in serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/OptionalFactory.java;
/cvs/serverplugins/sun/appsrv81/src/org/netbeans/modules/j2ee/sun/ide/j2ee/OptionalFactory.java,v  <--  OptionalFactory.java
new revision: 1.9; previous revision: 1.8
done
Checking in serverplugins/sun/appsrv81/nbproject/project.xml;
/cvs/serverplugins/sun/appsrv81/nbproject/project.xml,v  <--  project.xml
new revision: 1.30; previous revision: 1.29
done
Checking in j2ee/utilities/nbproject/project.xml;
/cvs/j2ee/utilities/nbproject/project.xml,v  <--  project.xml
new revision: 1.68; previous revision: 1.67
done
Comment 7 Yousuf Haider 2007-06-14 17:25:43 UTC
Verified fix on Build:200706140820
JDK 6 
Glassfish: v2-b50

Tested Db Servers:
Derby
Oracle 10G
MySQL 5.0





By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo